/**
 * 
 */
package jalview.io;

import jalview.bin.Cache;
import jalview.gui.Desktop;

import org.vamsas.client.UserHandle;
import org.vamsas.client.simpleclient.FileWatcher;
import org.vamsas.client.simpleclient.VamsasArchive;
import org.vamsas.client.simpleclient.VamsasFile;
import org.vamsas.test.simpleclient.ArchiveClient;

/**
 * @author jimp
 *
 */
public class VamsasClient extends ArchiveClient {
	Desktop us;
	public VamsasClient(Desktop jdesktop,
			String sessionPath) {
		super("Jalview User", "Dundee", // new org.vamsas.client.ClientHandle("jalview","2.7"),
				sessionPath);
		us=jdesktop;
	}
	public void initial_update() {
		Cache.log.info("Jalview loading the Vamsas Session.");
		// load in the vamsas archive for the first time
		
		// VamsasArchive doc = new VamsasArchive();
	}
	public void get_update(VamsasArchive doc) {
		Cache.log.info("Jalview updating from Vamsas Session.");
	}
	public void push_update() {
		// collect all uncached alignments and put them into the vamsas dataset.
		// store them.
		Cache.log.info("Jalview updating the Vamsas Session.");
	}
	public void end_session() {
		// stop any update/watcher thread.
		Cache.log.info("Jalview disconnecting from the Vamsas Session.");
	}
	protected class VamsasClientWatcher extends Thread implements Runnable {
		/* (non-Javadoc)
		 * @see java.lang.Thread#run()
		 */
		VamsasClient client=null;
		VamsasClientWatcher(VamsasClient client) {
			this.client = client;
		}
		public void run() {
			VamsasArchive docio = client.watch(0);
			client.get_update(docio);
		}
		
	}
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub

	}

}
